# Default values for validator.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
replicaCount: 1

image:
  repository: jarvisnetworkcoreacr.azurecr.io/jarvis-network/apps/exchange/jarvis-exchange/validator
  pullPolicy: Always
  tag: '1.0.2'

imagePullSecrets: [{ name: jarvisnetworkcoreacr }]

nameOverride: ''
fullnameOverride: ''

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ''

podAnnotations: {}

podSecurityContext:
  {}
  # fsGroup: 2000

securityContext:
  {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: false
  annotations:
    {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths: []
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources:
  {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}

environment:
  RPC_HOST: https://kovan.infura.io/v3/fe6450c4bda342af93ef54db06eaada9
  FREQUENCY: 8
  PRIVATE_KEY: ''
  MAX_SLIPPAGE: 0.01
  LOG_LEVEL: DEBUG
  NETWORK_ID: 42
  INFURA_PROJECT_ID: f70b1a372bcd4b789699d1af5bced224
  PRICE_FEED_API: https://pricefeed.jarvis.exchange
  LOGS_PATH: /tmp
  HOST: 0.0.0.0
  PORT: 3000
  NODE_ENV: development
